using System.ComponentModel;

namespace SHH.MjpegPlayer
{
    public enum EIdSys
    {
        /// <summary>根据PID杀掉进程成功</summary>
        [Description("根据PID杀掉进程成功")]
        KillProcByIdSucceed = 1000101,

        /// <summary>按秒统计汇总</summary>
        [Description("按秒统计汇总")]
        TotalBySecond = 100701,

        /// <summary>按分钟统计汇总</summary>
        [Description("按分钟统计汇总")]
        TotalByMinute = 100702,

        /// <summary>按小时统计汇总</summary>
        [Description("按小时统计汇总")]
        TotalByHour = 100703,

        /// <summary>查询进程名出错</summary>
        [Description("查询进程名出错")]
        SearchProcNameError = 1000901,

        /// <summary>根据PID杀掉进程出错</summary>
        [Description("根据PID杀掉进程出错")]
        KillProcByIdError = 1000902,

        /// <summary>启动进程出错</summary>
        [Description("启动进程出错")]
        StartProcessError = 1000903,
    }
}